Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbrain.qlink.state
Class AbstractMenuState

    java.lang.Object
      |
      +--org.jbrain.qlink.state.AbstractState
            |
            +--org.jbrain.qlink.state.AbstractMenuState

All Implemented Interfaces:
  QState

Direct Known Subclasses:
  DepartmentMenu, ShowStatsState

public abstract class AbstractMenuState
extends AbstractState

Field Summary
`protected java.util.ArrayList` | `_alMenu`
`protected java.util.ArrayList` | `_alMessages`
`protected java.util.HashMap` | `_hmMessages`
`protected static Logger` | `_log`
`protected java.util.List` | `_lText`
`protected static int` | `RESERVED_DATA_REF_ID_MAX`
`protected static int` | `RESERVED_DATA_REF_ID_MIN`
`protected static int` | `RESERVED_MENU_REF_ID_MAX`
`protected static int` | `RESERVED_MENU_REF_ID_MIN`
`protected static int` | `XMIT_BLOCKS_MAX`

Fields inherited from class org.jbrain.qlink.state.AbstractState
`_session`

Constructor Summary
`AbstractMenuState(QSession session)`

Method Summary
`protected void` | `clearLineCount()`
`protected void` | `clearMessageList()`
`boolean` | `execute(Action a)`
`protected void` | `sendMenu(int id)`
`protected void` | `sendMessageList()`
`protected void` | `sendPackedLines()`
`protected void` | `sendSingleLines()`

Methods inherited from class org.jbrain.qlink.state.AbstractState
`activate, checkEmail, getName, passivate, terminate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _log

    protected static Logger _log

### RESERVED_DATA_REF_ID_MIN

    protected static final int RESERVED_DATA_REF_ID_MIN

See Also:
  Constant Field Values

### RESERVED_DATA_REF_ID_MAX

    protected static final int RESERVED_DATA_REF_ID_MAX

See Also:
  Constant Field Values

### RESERVED_MENU_REF_ID_MIN

    protected static final int RESERVED_MENU_REF_ID_MIN

See Also:
  Constant Field Values

### RESERVED_MENU_REF_ID_MAX

    protected static final int RESERVED_MENU_REF_ID_MAX

See Also:
  Constant Field Values

### XMIT_BLOCKS_MAX

    protected static final int XMIT_BLOCKS_MAX

See Also:
  Constant Field Values

### _lText

    protected java.util.List _lText

### _alMessages

    protected java.util.ArrayList _alMessages

### _hmMessages

    protected java.util.HashMap _hmMessages

### _alMenu

    protected java.util.ArrayList _alMenu

Constructor Detail

### AbstractMenuState

    public AbstractMenuState(QSession session)

Method Detail

### execute

    public boolean execute(Action a)
                    throws java.io.IOException

  Specified by:
    `execute` in interface `QState`
  Overrides:
    `execute` in class `AbstractState`
    `java.io.IOException`

### sendMenu

    protected void sendMenu(int id)
                     throws java.io.IOException

    `java.io.IOException`

### sendSingleLines

    protected void sendSingleLines()
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### sendPackedLines

    protected void sendPackedLines()
                            throws java.io.IOException

    `java.io.IOException`

### sendMessageList

    protected void sendMessageList()
                            throws java.io.IOException

    `java.io.IOException`

### clearLineCount

    protected void clearLineCount()

### clearMessageList

    protected void clearMessageList()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD